summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Andreas Voegele2018-07-09 18:38:20 +0200
committer David Spencer2018-07-09 18:40:00 +0200
commitd877e3abdf6df848c09697a9c3d712317efcb1bc (patch)
treef0f8b68804828370e5c13f12ab258d652e89a2fd /perl
parent220151815871b19af20616514fd53c61df63fca6 (diff)
downloadslackbuilds-d877e3abdf6df848c09697a9c3d712317efcb1bc.tar.gz
perl/nqp: Updated f/v 2018.06, moved from development/ + new maint.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/nqp/README14
-rw-r--r--perl/nqp/nqp.SlackBuild89
-rw-r--r--perl/nqp/nqp.info10
-rw-r--r--perl/nqp/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/perl/nqp/README b/perl/nqp/README
new file mode 100644
index 0000000000..008b7d92fd
--- /dev/null
+++ b/perl/nqp/README
@@ -0,0 +1,14 @@
+NQP, short for "Not Quite Perl", is a lightweight Perl 6-like
+environment for virtual machines. NQP is designed to be very small (as
+compared with, say, perl6 or Rakudo) and is focused on being a
+high-level way to create compilers and libraries for MoarVM, the JVM,
+and others.
+
+By default, support for MoarVM is built. The JVM backend is experimental
+and requires JDK 8.
+
+ BACKENDS=moar,jvm ./nqp.SlackBuild
+
+Run the tests with:
+
+ MAKETEST=yes ./nqp.SlackBuild
diff --git a/perl/nqp/nqp.SlackBuild b/perl/nqp/nqp.SlackBuild
new file mode 100644
index 0000000000..4381aed93b
--- /dev/null
+++ b/perl/nqp/nqp.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for nqp
+
+# Copyright 2018 Andreas Voegele <andreas@andreasvoegele.com>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=nqp
+VERSION=${VERSION:-2018.06}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+BACKENDS=${BACKENDS:-moar}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Configure.pl \
+ --prefix=/usr \
+ --with-moar=/usr/bin/moar \
+ --backends=$BACKENDS
+
+make
+if [ "${MAKETEST:-no}" = "yes" ]; then
+ make test
+fi
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CREDITS LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/nqp/nqp.info b/perl/nqp/nqp.info
new file mode 100644
index 0000000000..12f61d0bb5
--- /dev/null
+++ b/perl/nqp/nqp.info
@@ -0,0 +1,10 @@
+PRGNAM="nqp"
+VERSION="2018.06"
+HOMEPAGE="https://rakudo.org"
+DOWNLOAD="https://rakudo.org/downloads/nqp/nqp-2018.06.tar.gz"
+MD5SUM="b8a6c82ff92dd84546566fe43b903311"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="MoarVM"
+MAINTAINER="Andreas Voegele"
+EMAIL="andreas@andreasvoegele.com"
diff --git a/perl/nqp/slack-desc b/perl/nqp/slack-desc
new file mode 100644
index 0000000000..d82e9f4cba
--- /dev/null
+++ b/perl/nqp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nqp: nqp (Perl 6-like environment for virtual machines)
+nqp:
+nqp: NQP, short for "Not Quite Perl", is a lightweight Perl 6-like
+nqp: environment for virtual machines. NQP is designed to be very small (as
+nqp: compared with, say, perl6 or Rakudo) and is focused on being a
+nqp: high-level way to create compilers and libraries for MoarVM, the JVM,
+nqp: and others.
+nqp:
+nqp: Homepage: https://rakudo.org/
+nqp:
+nqp: